libglom-1.22: Glom::LayoutItem_GroupBy Class Reference

libglom-1.22 1.22.0

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
Glom::LayoutItem_GroupBy Class Reference

The child items are fields to be shown for each record in the group. More...

Inheritance diagram for Glom::LayoutItem_GroupBy:
[legend]
Collaboration diagram for Glom::LayoutItem_GroupBy:
[legend]

List of all members.

## Public Types
typedef Formatting::type_pair_sort_field | type_pair_sort_field
typedef Formatting::type_list_sort_fields | type_list_sort_fields
## Public Member Functions
| LayoutItem_GroupBy ()
| LayoutItem_GroupBy (const LayoutItem_GroupBy& src)
LayoutItem_GroupBy& | operator= (const LayoutItem_GroupBy& src)
virtual | ~LayoutItem_GroupBy ()
virtual LayoutItem* | clone () const
| Create a new copied instance.
sharedptr< LayoutItem_Field > | get_field_group_by ()
sharedptr< const LayoutItem_Field > | get_field_group_by () const
bool | get_has_field_group_by () const
void | set_field_group_by (const sharedptr< LayoutItem_Field >& field)
type_list_sort_fields | get_fields_sort_by ()
type_list_sort_fields | get_fields_sort_by () const
bool | get_has_fields_sort_by () const
void | set_fields_sort_by (const type_list_sort_fields& field)
virtual Glib::ustring | get_layout_display_name () const
| Get a text representation for the a layout.
virtual Glib::ustring | get_part_type_name () const
virtual Glib::ustring | get_report_part_id () const
| Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).
sharedptr< LayoutGroup > | get_secondary_fields ()
sharedptr< const LayoutGroup > | get_secondary_fields () const
type_list_sort_fields | get_sort_by () const
void | set_sort_by (const type_list_sort_fields& sort_by)

## Detailed Description

The child items are fields to be shown for each record in the group.

The records are grouped by a specified field and there may be. secondary fields that are also shown for each group.

## Member Typedef Documentation

typedef Formatting::type_list_sort_fields Glom::LayoutItem_GroupBy::type_list_sort_fields

typedef Formatting::type_pair_sort_field Glom::LayoutItem_GroupBy::type_pair_sort_field

## Constructor & Destructor Documentation

Glom::LayoutItem_GroupBy::LayoutItem_GroupBy | ( |  | ) |

Glom::LayoutItem_GroupBy::LayoutItem_GroupBy | ( | const LayoutItem_GroupBy& | src | ) |

virtual Glom::LayoutItem_GroupBy::~LayoutItem_GroupBy | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual LayoutItem* Glom::LayoutItem_GroupBy::clone | ( |  | ) | const`[virtual]`

Create a new copied instance.

This allows us to deep-copy a list of LayoutItems.

Reimplemented from Glom::LayoutGroup.

sharedptr<LayoutItem_Field> Glom::LayoutItem_GroupBy::get_field_group_by | ( |  | ) |

sharedptr<const LayoutItem_Field> Glom::LayoutItem_GroupBy::get_field_group_by | ( |  | ) | const

type_list_sort_fields Glom::LayoutItem_GroupBy::get_fields_sort_by | ( |  | ) |

type_list_sort_fields Glom::LayoutItem_GroupBy::get_fields_sort_by | ( |  | ) | const

bool Glom::LayoutItem_GroupBy::get_has_field_group_by | ( |  | ) | const

bool Glom::LayoutItem_GroupBy::get_has_fields_sort_by | ( |  | ) | const

virtual Glib::ustring Glom::LayoutItem_GroupBy::get_layout_display_name | ( |  | ) | const`[virtual]`

Get a text representation for the a layout.

Reimplemented from Glom::LayoutItem.

virtual Glib::ustring Glom::LayoutItem_GroupBy::get_part_type_name | ( |  | ) | const`[virtual]`

Reimplemented from Glom::LayoutGroup.

virtual Glib::ustring Glom::LayoutItem_GroupBy::get_report_part_id | ( |  | ) | const`[virtual]`

Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

Reimplemented from Glom::LayoutGroup.

sharedptr<LayoutGroup> Glom::LayoutItem_GroupBy::get_secondary_fields | ( |  | ) |

sharedptr<const LayoutGroup> Glom::LayoutItem_GroupBy::get_secondary_fields | ( |  | ) | const

type_list_sort_fields Glom::LayoutItem_GroupBy::get_sort_by | ( |  | ) | const

LayoutItem_GroupBy& Glom::LayoutItem_GroupBy::operator= | ( | const LayoutItem_GroupBy& | src | ) |

void Glom::LayoutItem_GroupBy::set_field_group_by | ( | const sharedptr< LayoutItem_Field >& | field | ) |

void Glom::LayoutItem_GroupBy::set_fields_sort_by | ( | const type_list_sort_fields& | field | ) |

void Glom::LayoutItem_GroupBy::set_sort_by | ( | const type_list_sort_fields& | sort_by | ) |

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/report_parts/layoutitem_groupby.h